From Fedora Project Wiki

(add KPackageKit build instructions)
(Updated gnome-packagekit info for current sources, added rawhide notice)
Line 8: Line 8:
 
# <code>cd src</code>
 
# <code>cd src</code>
 
# <code>sudo ./run-pk.sh yum</code>
 
# <code>sudo ./run-pk.sh yum</code>
(in another tab)
+
In another tab:
 
# <code>cd PackageKit</code>
 
# <code>cd PackageKit</code>
 
# <code>cd client</code>
 
# <code>cd client</code>
 
# <code>./pkcon search name git</code>
 
# <code>./pkcon search name git</code>
  
----
+
== For gnome-packagekit: ==
 
+
{{admon/important|Rawhide Required|Note that building the current gnome-packagekit source requires gtk3 libraries newer than the ones available in Fedora 14. If you wish to build gnome-packagekit, it will be necessary to install rawhide packages for gtk3 and any dependencies.}}
For gnome-packagekit
 
 
 
 
# <code>git clone git://people.freedesktop.org/~hughsient/gnome-packagekit</code>
 
# <code>git clone git://people.freedesktop.org/~hughsient/gnome-packagekit</code>
 
# <code>cd gnome-packagekit</code>
 
# <code>cd gnome-packagekit</code>
 
# <code>mkdir ~/.root</code>
 
# <code>mkdir ~/.root</code>
# <code>yum -y install libgnomeui-devel libglade2-devel libwnck-devel dbus-devel libnotify-devel gnome-panel-devel scrollkeeper gnome-doc-utils desktop-file-utils gettext libtool cairo-devel startup-notification-devel perl(XML::Parser) gnome-doc-utils gnome-menus-devel libsexy-devel PackageKit-devel PolicyKit-gnome-devel unique-devel intltool xorg-x11-proto-devel fontconfig-devel</code>
+
# <code>yum -y install libgnomeui-devel libglade2-devel libwnck-devel dbus-devel libnotify-devel gnome-panel-devel scrollkeeper gnome-doc-utils desktop-file-utils gettext libtool cairo-devel startup-notification-devel perl(XML::Parser) gnome-doc-utils gnome-menus-devel libsexy-devel PackageKit-devel PolicyKit-gnome-devel unique-devel intltool xorg-x11-proto-devel fontconfig-devel upower-devel control-center-devel</code>
 +
# <code> yum --enablerepo=rawhide install gtk3 gtk3-devel libcanberra-gtk3</code>
 
# <code>./autogen.sh --prefix=/home/hughsie/.root --enable-tests --enable-gtk-doc</code>
 
# <code>./autogen.sh --prefix=/home/hughsie/.root --enable-tests --enable-gtk-doc</code>
 
# <code>make && make install</code>
 
# <code>make && make install</code>
Line 30: Line 29:
 
# <code>./gpk-application -v</code>
 
# <code>./gpk-application -v</code>
  
----
+
== For KPackageKit: ==
 
 
For KPackageKit:
 
 
 
 
# <code>yum -y install svn cmake desktop-file-utils kde-filesystem kdelibs4-devel PackageKit-qt-devel</code>
 
# <code>yum -y install svn cmake desktop-file-utils kde-filesystem kdelibs4-devel PackageKit-qt-devel</code>
 
# <code>svn co svn://anonsvn.kde.org/home/kde/trunk/playground/sysadmin/kpackagekit</code>
 
# <code>svn co svn://anonsvn.kde.org/home/kde/trunk/playground/sysadmin/kpackagekit</code>
Line 42: Line 38:
 
# <code>make install</code>
 
# <code>make install</code>
 
# <code>cd KPackageKit</code>
 
# <code>cd KPackageKit</code>
# <code>kpackagekit</code>
+
# <code>./kpackagekit</code>
  
 
Any problems, please send a message to the mailing list: http://lists.freedesktop.org/mailman/listinfo/packagekit
 
Any problems, please send a message to the mailing list: http://lists.freedesktop.org/mailman/listinfo/packagekit

Revision as of 21:56, 27 December 2010

  1. yum -y install git glib2-devel dbus-devel dbus-glib-devel pam-devel libX11-devel libsexy-devel xmlto sqlite-devel NetworkManager-glib-devel PolicyKit-devel libtool docbook-utils gnome-doc-utils python-devel perl(XML::Parser) intltool gettext xulrunner-devel libarchive-devel gstreamer-devel gstreamer-plugins-base-devel qt4-devel cppunit-devel pango-devel fontconfig-devel
  2. git clone git://anongit.freedesktop.org/git/packagekit/PackageKit
  3. cd PackageKit
  4. git pull
  5. mkdir ~/.root
  6. ./autogen.sh --enable-maintainer-mode --enable-gtk-doc --prefix=~/.root --enable-yum --enable-yum2 --enable-dummy --enable-docbook-docs --enable-tests --enable-developer --enable-local --with-default-backend=yum
  7. make && make install
  8. cd src
  9. sudo ./run-pk.sh yum

In another tab:

  1. cd PackageKit
  2. cd client
  3. ./pkcon search name git

For gnome-packagekit:

Important.png
Rawhide Required
Note that building the current gnome-packagekit source requires gtk3 libraries newer than the ones available in Fedora 14. If you wish to build gnome-packagekit, it will be necessary to install rawhide packages for gtk3 and any dependencies.
  1. git clone git://people.freedesktop.org/~hughsient/gnome-packagekit
  2. cd gnome-packagekit
  3. mkdir ~/.root
  4. yum -y install libgnomeui-devel libglade2-devel libwnck-devel dbus-devel libnotify-devel gnome-panel-devel scrollkeeper gnome-doc-utils desktop-file-utils gettext libtool cairo-devel startup-notification-devel perl(XML::Parser) gnome-doc-utils gnome-menus-devel libsexy-devel PackageKit-devel PolicyKit-gnome-devel unique-devel intltool xorg-x11-proto-devel fontconfig-devel upower-devel control-center-devel
  5. yum --enablerepo=rawhide install gtk3 gtk3-devel libcanberra-gtk3
  6. ./autogen.sh --prefix=/home/hughsie/.root --enable-tests --enable-gtk-doc
  7. make && make install
  8. cd src
  9. killall gpk-update-icon
  10. ./gpk-update-icon -v

In another tab:

  1. cd src
  2. ./gpk-application -v

For KPackageKit:

  1. yum -y install svn cmake desktop-file-utils kde-filesystem kdelibs4-devel PackageKit-qt-devel
  2. svn co svn://anonsvn.kde.org/home/kde/trunk/playground/sysadmin/kpackagekit
  3. mkdir ~/.root
  4. cd kpackagekit
  5. cmake -DCMAKE_INSTALL_PREFIX=~/.root .
  6. make
  7. make install
  8. cd KPackageKit
  9. ./kpackagekit

Any problems, please send a message to the mailing list: http://lists.freedesktop.org/mailman/listinfo/packagekit